@echo off

:: Copyright (c) 2011, Intel Corporation
:: All rights reserved.
::  
:: Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
:: 
::     * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
::     * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
::     * Neither the name of Intel Corporation nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
:: 
:: THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     
if not exist %~dp0settings.bat (
 echo Missing %~dp0settings.bat.
 goto end
)

call %~dp0settings.bat

:: Check for tmp mount directory
SET DRV_DIR=%~dp0..\tmp\drivers\
SET TMP_DIR=%~dp0..\tmp\
SET MNT_DIR=%~dp0..\tmp\mount\
if not exist %MNT_DIR% (
 echo Image not mounted
 goto end
)


:: Use DISM to install drivers into WinPE one by one
:: currently 32 bit only hardcoded
:: LAN AT 6
set FILE=%DRV_DIR%LAN\PRO1000\Win32\NDIS62\e1k6232.inf
Dism /image:%MNT_DIR% /Add-Driver /driver:"%FILE%" 
if not %ERRORLEVEL%==0 (
 echo Unable to Install Drivers from %FILE%.
 goto end
)
:: LAN AT 7
set FILE=%DRV_DIR%LAN\PRO1000\Win32\NDIS62\e1c6232.inf
Dism /image:%MNT_DIR% /Add-Driver /driver:"%FILE%" 
if not %ERRORLEVEL%==0 (
 echo Unable to Install Drivers from %FILE%.
 goto end
)
:: MEI AT 6
set FILE=%DRV_DIR%mei\6\MEI\heci.inf
Dism /image:%MNT_DIR% /Add-Driver /driver:"%FILE%" 
if not %ERRORLEVEL%==0 (
 echo Unable to Install Drivers from %FILE%.
 goto end
)
:: MEI AT 7
set FILE=%DRV_DIR%mei\7\MEI\heci.inf
Dism /image:%MNT_DIR% /Add-Driver /driver:"%FILE%" 
if not %ERRORLEVEL%==0 (
 echo Unable to Install Drivers from %FILE%.
 goto end
)

echo Success
:end
